SDL_GamepadConnected(3)

NAME
SDL_GamepadConnected - Check if a gamepad has been opened and is currently connected.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GamepadConnected(SDL_Gamepad *gamepad);

FUNCTION PARAMETERS

gamepad
    a gamepad identifier previously returned by SDL_OpenGamepad ()

RETURN VALUE
Returns SDL_TRUE
 if the gamepad has been opened and is currently connected, or SDL_FALSE
 if not.

AVAILABILITY
This function is available since SDL 3.0.0.